Bug 188495 - Add/Remove Software item disappeared from Applications menu
Add/Remove Software item disappeared from Applications menu
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
Blocks: FC5Update
  Show dependency treegraph
Reported: 2006-04-10 13:08 EDT by Joe Jerome
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-11 18:09:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/var/logs/yum.log from affected system (21.37 KB, text/plain)
2006-04-11 10:10 EDT, Joe Jerome
no flags Details

  None (edit)
Description Joe Jerome 2006-04-10 13:08:03 EDT
Description of problem:
  When I removed software using Add/Remove Software menu item from Applications
drop-down, the Add/Remove Software menu item disappeared.  Using a terminal
window and rpm -q, found that yum and pirut were no longer installed.  I used
RPM to reinstall elfutils, rpm-python, yum and pirut.  Those new to FC might not
know what to do.

Version-Release number of selected component (if applicable):

How reproducible:
  It has occurred each time (twice) that I tried it.

Steps to Reproduce:
1. Used Add/Remove Software to add Development Tools & Development Libraries
   in an effort to build Kadischi (trying to install needed .m4 files)
2. When installing these packages didn't provide the needed files, I clicked
   Add/Remove Software again and deselected Development Tools & Libraries.
   When the 'updates' were complete, Yum, Pirut and the Add/Remove Software
   menu item were gone
3. I used the repository I had created in /tmp/fc5/Fedora to reinstall the 4     
Actual results:
   Instead of removing just files I had added previously, it removed files 
   needed for prior functionality

Expected results:
  I expected only files I had added to be removed.  Users new to FC/Linux might 
  not only be confused, but turned off from further attempts to use FC/Linux

Additional info:
  As stated above, this occurred because I am trying to compile Kadischi, and 
  when running ./autogen.sh I was instructed to move a number of .m4 files to
  the Kadischi directory.  Unfortunately, they weren't present where they were
  supposed to be.  I added the development packages hoping to obtain the 
  necessary files as files I downloaded from cvs.gnupg.org didn't seem to work
  Sorry if I provided too much or too little info, or if I am overreacting.  
  Please e-maqil me if you need more info.
Comment 1 Joe Jerome 2006-04-10 13:22:41 EDT
I forgot to mention that the affected computer is connected to neither a network
nor the Internet.  All changes are currently made using an on disk repository
created from the FC5 installation CD's
Comment 2 Jeremy Katz 2006-04-10 14:58:01 EDT
What did you remove?  Can you provide the /var/log/yum.log?
Comment 3 Joe Jerome 2006-04-11 10:10:23 EDT
Created attachment 127616 [details]
/var/logs/yum.log from affected system
Comment 4 Joe Jerome 2006-04-11 10:17:15 EDT
The first time I added, then removed Development Libraries, Development Tools,
Gnome Software Development and X Software Development groups.  The second time,
I added, then removed the Development Libraries and Development Tools.
Comment 5 Jeremy Katz 2006-04-11 10:36:56 EDT
Okay, what's happening is that elfutils is required (somewhat incorrectly) by
rpm-python and so the remove cascades from there.  

Going to do two things here:
1) Building an updated rpm that doesn't have the incorrect requires in the
rpm-python package
2) Will add basically a blacklist of packages that pirut won't let you remove
without at least a big scary warning.  Will try to get that into an FC5 update
Comment 6 Joe Jerome 2006-04-11 13:37:40 EDT
Thank you.(In reply to comment #5)  I hope that my submission has been useful
and not a frivolous drain on your time
Comment 7 Jeremy Katz 2006-09-11 18:09:47 EDT
Added a blacklist of packages not to remove

Note You need to log in before you can comment on or make changes to this bug.